Package com.ngrok.definitions

# Class ReservedDomainCertJob

java.lang.Object
com.ngrok.definitions.ReservedDomainCertJob

public class ReservedDomainCertJob extends Object
A class encapsulating the `ReservedDomainCertJob` resource.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReservedDomainCertJob(Optional<String> errorCode, String msg, OffsetDateTime startedAt, Optional<OffsetDateTime> retriesAt)`
  Creates a new instance of `ReservedDomainCertJob`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `Optional<String>`
  `getErrorCode()`
  if present, an error code indicating why provisioning is failing.
  `String`
  `getMsg()`
  a message describing the current status or error
  `Optional<OffsetDateTime>`
  `getRetriesAt()`
  timestamp when the provisioning job will be retried
  `OffsetDateTime`
  `getStartedAt()`
  timestamp when the provisioning job started, RFC 3339 format
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ReservedDomainCertJob

    public ReservedDomainCertJob(Optional<String> errorCode, String msg, OffsetDateTime startedAt, Optional<OffsetDateTime> retriesAt)
    Creates a new instance of `ReservedDomainCertJob`.
    Parameters:
      `errorCode` - if present, an error code indicating why provisioning is failing. It may be either a temporary condition (INTERNAL_ERROR), or a permanent one the user must correct (DNS_ERROR).
      `msg` - a message describing the current status or error
      `startedAt` - timestamp when the provisioning job started, RFC 3339 format
      `retriesAt` - timestamp when the provisioning job will be retried

- ## Method Details

  - ### getErrorCode

    public Optional<String> getErrorCode()
    if present, an error code indicating why provisioning is failing. It may be either a temporary condition (INTERNAL_ERROR), or a permanent one the user must correct (DNS_ERROR).
    Returns:
      the value of the property as a `String` wrapped in an `Optional`

  - ### getMsg

    public String getMsg()
    a message describing the current status or error
    Returns:
      the value of the property as a `String`

  - ### getStartedAt

    public OffsetDateTime getStartedAt()
    timestamp when the provisioning job started, RFC 3339 format
    Returns:
      the value of the property as a `OffsetDateTime`

  - ### getRetriesAt

    public Optional<OffsetDateTime> getRetriesAt()
    timestamp when the provisioning job will be retried
    Returns:
      the value of the property as a `OffsetDateTime` wrapped in an `Optional`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`